[xml/sgml-commit] [SCM] linuxdoc-tools package for Debian. branch, master, updated. debian/0.9.55-1-g838a41b

Agustin Martin Domingo agmartin at debian.org
Mon Jul 7 11:39:58 UTC 2008


The following commit has been merged in the master branch:
commit 838a41b500d99cec5a717ca65f5eea20c9700752
Author: Agustin Martin Domingo <agmartin at debian.org>
Date:   Mon Jul 7 12:01:54 2008 +0200

    Fix 'unsafe echo with backslash' report from checkbashisms
    
    We are really fixing a dashism here rather than a bashism,
    
    $ echo "hi\n" will display as
    
    "hi\n"
    
    in bash (sic, with an explicit non-substituted \n unless -e is used) and as
    
    "hi
    "
    
    in dash. We just make sure that the second form is always rendered, so there are
    no inconsistencies across sh interpreters. (Closes: #489630)

diff --git a/debian/addition/awkwhich b/debian/addition/awkwhich
index 8bc9b15..7af8709 100644
--- a/debian/addition/awkwhich
+++ b/debian/addition/awkwhich
@@ -1,4 +1,6 @@
 #! /bin/sh
 if [ -x /usr/bin/gawk ]; then exec /usr/bin/gawk "$@"; fi
 if [ -x /usr/bin/mawk ]; then exec /usr/bin/mawk "$@"; fi
-echo "None of gawk/mawk available. \n"; exit 1;
+echo "Error: None of gawk/mawk available."
+echo
+exit 1
diff --git a/debian/addition/sgmlswhich b/debian/addition/sgmlswhich
index 29f7b5c..77e7309 100644
--- a/debian/addition/sgmlswhich
+++ b/debian/addition/sgmlswhich
@@ -1,4 +1,6 @@
 #! /bin/sh
 if [ -x /usr/bin/nsgmls ]; then exec /usr/bin/nsgmls "$@"; fi
 if [ -x /usr/bin/onsgmls ]; then exec /usr/bin/onsgmls "$@"; fi
-echo "None of nsgmls/onsgmls available. \n"; exit 1;
+echo "Error: None of nsgmls/onsgmls available."
+echo
+exit 1
diff --git a/debian/changelog b/debian/changelog
index 4bd0680..980c736 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+linuxdoc-tools (0.9.56) unstable; urgency=low
+
+  * debian/addition/{awk,sgmlswhich}:
+    - Fix 'unsafe echo with backslash' dashism. echo message will
+      now render properly also with bash (Closes: #489630).
+
+ -- Agustin Martin Domingo <agmartin at debian.org>  Mon, 07 Jul 2008 12:00:15 +0200
+
 linuxdoc-tools (0.9.55) unstable; urgency=low
 
   * Improvements in the info backend:

-- 
linuxdoc-tools package for Debian.



More information about the debian-xml-sgml-commit mailing list